Page MenuHomePhabricator

'Live update' button animation draws attention to wrong place
Closed, ResolvedPublic

Description

Animation is a powerful tool to draw the users eye to a particular place, either to encourage an action to be taken (cf VE's education popups) or to show that an action has just taken place (e.g. dialog transitions). Used incorrectly in can be very distracting.

In this case the 'Live update' animation, it continuously draws the users attention to an action that has already taken place, with the only way to stop the animation being by turning the feature off.

I think the intention here is to let the user know that the feature is enabled (which the selected state probably does adequately) but also that new information is incoming. For the latter that should be done by drawing the users attention to the top of the list, where the information is about to appear.

Proposed adjustment to the animation
We want to increase both the length of the animation and the delay between repetitions. Due to CSS limitations this will be expressed in the following changes:

  • Extend the total length of the animation to 2.3 seconds.
  • Redefine the transitions in the animation to be completed already at the 80% point (instead of the current 100%), in order to create a period of no change between repetitions.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The speed of the animation may also be a factor. Looking at that page with the fast pulsing makes me feel agitated :) The pulsing on the education popups is much more pedestrian.

I'm adding @Pginer-WMF to the ticket. I can see how some might feel the animation is too active, and I imagine it might be toned down. But, just to be clear, its purpose is that on many smaller wikis, or with very selective filters set, updating of the queue can be very, very intermittent. During the long inactive intervals, the animation lets the user know that Live Update is still "live".

I'm adding @Pginer-WMF to the ticket. I can see how some might feel the animation is too active, and I imagine it might be toned down. But, just to be clear, its purpose is that on many smaller wikis, or with very selective filters set, updating of the queue can be very, very intermittent. During the long inactive intervals, the animation lets the user know that Live Update is still "live".

There are a couple aspects that make it a bit more prominent than it should and we can tone them down.
The length of the current animation can be increased from the current 1.2s to 1.8s. That would make the animation more subtle (you can compare below the 1.8s animation on the left to the current 1.2s version on the right).

We can also consider adding a delay between repetitions. Currently the animation starts right after the previous iteration ended, making the movement to be abrupt. The previous suggestion should also help with this, but if it still feels abrupt we can extend the animation to include an empty period at the beginning/end would make the repetition less abrupt (you can see this example of the idea in CSS ). Note that if this approach is used, we'll also have to extend the total length of the animation further to avoid the visible part of the animation to happen faster than it used to.

I think slowing it down and possibly adding a little delay is a good idea. I could see slowing it down even further. What do you think, @Esanders?

Yeah - I think that would be an improvement.

@Pginer-WMF , can you please include final specs for slowing the animation down and adding a delay? I moved this to Snack Box Q2

Pginer-WMF updated the task description. (Show Details)Oct 20 2017, 8:30 AM

@Pginer-WMF , can you please include final specs for slowing the animation down and adding a delay? I moved this to Snack Box Q2

I added the specifics to the ticket description.

Trizek-WMF added a subscriber: Trizek-WMF.

Assigned to Joe per T173614#3779404.

jmatazzoni removed jmatazzoni as the assignee of this task.Nov 22 2017, 4:30 PM

Change 393643 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Change "Live update" button animation

https://gerrit.wikimedia.org/r/393643

Change 393643 merged by jenkins-bot:
[mediawiki/core@master] Change "Live update" button animation

https://gerrit.wikimedia.org/r/393643

Checked in betalabs and testwiki (wmf.10) - the animation is working as per specs.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Nov 28 2017, 11:23 PM

I like the calmer animation. @Esanders?